
Cook: cgal 4.11
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): libxml2-2.9.8
Installing (pkg/local): lz4-lib-1.8.2
Installing (pkg/local): nettle-3.4
Installing (pkg/local): libarchive-3.3.2
Installing (pkg/local): libunistring-0.9.10
Installing (pkg/local): libidn2-2.0.5
Installing (pkg/local): libcurl-7.61.0
Installing (pkg/local): cmake-3.9.1
Installing (pkg/local): boost-dev-1.68.0
Installing (pkg/local): boost-date-time-1.68.0
Installing (pkg/local): boost-iostreams-1.68.0
Installing (pkg/local): libicu-60.2
Installing (pkg/local): icu-60.2
Installing (pkg/local): boost-regex-1.68.0
Installing (pkg/local): boost-serialization-1.68.0
Installing (pkg/local): boost-system-1.68.0
Installing (pkg/local): boost-thread-1.68.0
Installing (pkg/local): boost-1.68.0
Installing (pkg/local): gmp-dev-6.1.2
Installing (pkg/local): mpfr-dev-4.0.1
Extracting source archive "CGAL-4.11.tar.xz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

-- The CXX compiler identification is GNU 7.3.0
-- The C compiler identification is GNU 7.3.0
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
== Setting paths ==
-- Build CGAL from release in directory cgal-4.11
-- Packagenames: cgal-4.11
== Setting paths (DONE) ==

== Generate version files ==
-- CGAL_MAJOR_VERSION=4
-- CGAL_MINOR_VERSION=11
-- CGAL_BUGFIX_VERSION=0
-- CGAL_SONAME_VERSION=13
-- CGAL_SOVERSION     =13.0.1
-- CGAL_REFERENCE_CACHE_DIR=
-- Building shared libraries
-- Targetting Unix Makefiles
-- Using /usr/bin/c++ compiler.
-- USING CMake version: 3.9.1
-- System: Linux
-- USING GCC_VERSION = '7.3.0'
-- Using gcc version 4 or later. Adding -frounding-math
== Generate version files (DONE) ==

== Set up flags ==
-- Build type: Release
-- USING CXXFLAGS = '-march=i486 -Os -pipe -mindirect-branch=thunk -frounding-math -O3 -DNDEBUG'
-- USING LDFLAGS = '-Wl,-Os,--as-needed '
== Set up flags (DONE) ==

== Detect external libraries ==
-- External libraries supported: GMP;GMPXX;MPFR;ZLIB;OpenGL;LEDA;MPFI;RS;RS3;OpenNL;Eigen3;BLAS;LAPACK;QGLViewer;ESBTL;Coin3D;NTL;IPE
-- Preconfiguring library: GMP ...
-- Found GMP: /usr/lib/libgmp.so  
-- GMP has been preconfigured:
--   UseGMP-file:      
--   GMP include:      /usr/include
--   GMP libraries:    /usr/lib/libgmp.so
--   GMP definitions:  
-- USING GMP_VERSION = '6.1.2'
-- Preconfiguring library: MPFR ...
-- Found MPFR: /usr/lib/libmpfr.so  
-- MPFR has been preconfigured:
--   UseMPFR-file:      
--   MPFR include:      /usr/include
--   MPFR libraries:    /usr/lib/libmpfr.so
--   MPFR definitions:  
-- USING MPFR_VERSION = '4.0.1'
-- __cplusplus is 201402
--   --> Do not link with Boost.Thread
-- Boost version: 1.68.0
-- Boost include:     /usr/include
-- Boost libraries:   
-- Boost definitions: 
-- USING BOOST_VERSION = '1.68.0'
== Detect external libraries (DONE) ==

== Write compiler_config.h ==
-- Performing Test CGAL_CFG_DENORMALS_COMPILE_BUG - Success
-- Performing Test CGAL_CFG_FPU_ROUNDING_MODE_UNWINDING_VC_BUG - Success
-- Performing Test CGAL_CFG_IEEE_754_BUG - Success
-- Performing Test CGAL_CFG_ISTREAM_INT_BUG - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_5 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_6 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_7 - Success
-- Performing Test CGAL_CFG_MATCHING_BUG_8 - Success
-- Performing Test CGAL_CFG_NESTED_CLASS_FRIEND_DECLARATION_BUG - Success
-- Performing Test CGAL_CFG_NO_LIMITS - Success
-- Performing Test CGAL_CFG_NO_NEXTAFTER - Success
-- Performing Test CGAL_CFG_NO_STL - Success
-- Performing Test CGAL_CFG_NUMERIC_LIMITS_BUG - Success
-- Performing Test CGAL_CFG_OUTOFLINE_MEMBER_DEFINITION_BUG - Success
-- Performing Test CGAL_CFG_TEMPLATE_IN_DEFAULT_PARAMETER_BUG - Success
-- Performing Test CGAL_CFG_TYPENAME_BEFORE_DEFAULT_ARGUMENT_BUG - Success
-- Performing Test CGAL_CFG_USING_BASE_MEMBER_BUG_2 - Success
== Write compiler_config.h (DONE) ==

== Generating build files ==
Configuring libCGAL
-- Requested component: MPFR
-- Requested component: GMP
libCGAL is configured
-- Sources for CGAL component library 'CGAL_Core' detected
Configuring libCGAL_Core
-- Requested component: MPFR
-- Requested component: GMP
CMake Warning at /usr/share/cmake-3.9/Modules/FindBoost.cmake:771 (message):
  Imported targets not available for Boost version 106800
Call Stack (most recent call first):
  /usr/share/cmake-3.9/Modules/FindBoost.cmake:875 (_Boost_COMPONENT_DEPENDENCIES)
  /usr/share/cmake-3.9/Modules/FindBoost.cmake:1503 (_Boost_MISSING_DEPENDENCIES)
  src/CGAL_Core/CMakeLists.txt:8 (find_package)


CMake Warning at /usr/share/cmake-3.9/Modules/FindBoost.cmake:771 (message):
  Imported targets not available for Boost version 106800
Call Stack (most recent call first):
  /usr/share/cmake-3.9/Modules/FindBoost.cmake:875 (_Boost_COMPONENT_DEPENDENCIES)
  /usr/share/cmake-3.9/Modules/FindBoost.cmake:1503 (_Boost_MISSING_DEPENDENCIES)
  src/CGAL_Core/CMakeLists.txt:8 (find_package)


-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Boost version: 1.68.0
-- Found the following Boost libraries:
--   thread
--   system
libCGAL_Core is configured
-- Sources for CGAL component library 'CGAL_ImageIO' detected
Configuring libCGAL_ImageIO
-- Could NOT find ZLIB (missing: ZLIB_INCLUDE_DIR) 
-- Requested component: MPFR
-- Requested component: GMP
libCGAL_ImageIO is configured
-- NOTICE: libCGAL_ImageIO needs ZLib to read compressed files. That feature will not be activated.
-- Sources for CGAL component library 'CGAL_Qt5' detected
Configuring libCGAL_Qt5
-- libCGAL_Qt5 is missing the dependencies: Qt5OpenGL Qt5Svg Qt5 OpenGL cannot be configured.
-- Sources for CGAL component libraries 'CGAL_Core;CGAL_ImageIO;CGAL_Qt5' detected
== Generating build files (DONE) ==

-- Configuring done
-- Generating done
-- Build files have been written to: /home/slitaz/wok/cgal/source/cgal-4.11
Scanning dependencies of target CGAL
[ 16%] Building CXX object src/CGAL/CMakeFiles/CGAL.dir/all_files.cpp.o
In file included from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmp_coercion_traits.h:32:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpz.h:33,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpq.h:25,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/basic.h:50,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/internal/numeric_solvers.h:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/JAMA_numeric_solver.cpp:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/all_files.cpp:12:
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpfr_type.h: In member function 'CGAL::Gmpfr CGAL::Gmpfr::kthroot(int, std::float_round_style) const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpfr_type.h:888:49: warning: 'int mpfr_root(mpfr_ptr, mpfr_srcptr, long unsigned int, mpfr_rnd_t)' is deprecated [-Wdeprecated-declarations]
         mpfr_root(result.fr(),fr(),k,_gmp_rnd(r));
                                                 ^
In file included from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpz_type.h:33:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmp_coercion_traits.h:30,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpz.h:33,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpq.h:25,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/basic.h:50,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/internal/numeric_solvers.h:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/JAMA_numeric_solver.cpp:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/all_files.cpp:12:
/usr/include/mpfr.h:693:21: note: declared here
 __MPFR_DECLSPEC int mpfr_root (mpfr_ptr, mpfr_srcptr, unsigned long,
                     ^~~~~~~~~
In file included from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmp_coercion_traits.h:32:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpz.h:33,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpq.h:25,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/basic.h:50,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/internal/numeric_solvers.h:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/JAMA_numeric_solver.cpp:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/all_files.cpp:12:
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpfr_type.h: In member function 'CGAL::Gmpfr CGAL::Gmpfr::kthroot(int, CGAL::Gmpfr::Precision_type, std::float_round_style) const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpfr_type.h:898:49: warning: 'int mpfr_root(mpfr_ptr, mpfr_srcptr, long unsigned int, mpfr_rnd_t)' is deprecated [-Wdeprecated-declarations]
         mpfr_root(result.fr(),fr(),k,_gmp_rnd(r));
                                                 ^
In file included from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/GMP/Gmpz_type.h:33:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmp_coercion_traits.h:30,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpz.h:33,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Gmpq.h:25,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/basic.h:50,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/Polynomial/internal/numeric_solvers.h:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/JAMA_numeric_solver.cpp:23,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL/all_files.cpp:12:
/usr/include/mpfr.h:693:21: note: declared here
 __MPFR_DECLSPEC int mpfr_root (mpfr_ptr, mpfr_srcptr, unsigned long,
                     ^~~~~~~~~
[ 33%] Linking CXX shared library ../../lib/libCGAL.so
[ 33%] Built target CGAL
Scanning dependencies of target CGAL_Core
[ 50%] Building CXX object src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all_files.cpp.o
Scanning dependencies of target CGAL_ImageIO
[ 66%] Building CXX object src/CGAL_ImageIO/CMakeFiles/CGAL_ImageIO.dir/all_files.cpp.o
In file included from /usr/include/c++/7.3.0/cmath:45:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Impl.h:78,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Gmp.h:27,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigInt.h:37,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigRat.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigFloatRep.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigFloat.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL_Core/BigFloat.cpp:46,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL_Core/all_files.cpp:1:
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h: In member function 'bool CORE::filteredFp::isOK() const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:108:13: note: in expansion of macro 'CGAL_CORE_finite'
             CGAL_CORE_finite(fpVal) && // Test for infinite and NaNs
             ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:108:13: note: in expansion of macro 'CGAL_CORE_finite'
             CGAL_CORE_finite(fpVal) && // Test for infinite and NaNs
             ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h: In constructor 'CORE::Expr::Expr(float)':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:84:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(f)) {
           ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:84:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(f)) {
           ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h: In constructor 'CORE::Expr::Expr(double)':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:95:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(d)) {
           ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:95:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(d)) {
           ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h: In member function 'void CORE::Expr::doubleInterval(double&, double&) const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h:91:9: note: in expansion of macro 'CGAL_CORE_finite'
   if (! CGAL_CORE_finite(d)) { // if overflow, underflow or NaN
         ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h:91:9: note: in expansion of macro 'CGAL_CORE_finite'
   if (! CGAL_CORE_finite(d)) { // if overflow, underflow or NaN
         ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
make[2]: *** [src/CGAL_Core/CMakeFiles/CGAL_Core.dir/build.make:63: src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all_files.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:264: src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 83%] Linking CXX shared library ../../lib/libCGAL_ImageIO.so
[ 83%] Built target CGAL_ImageIO
make: *** [Makefile:130: all] Error 2
[ 33%] Built target CGAL
[ 50%] Building CXX object src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all_files.cpp.o
[ 83%] Built target CGAL_ImageIO
In file included from /usr/include/c++/7.3.0/cmath:45:0,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Impl.h:78,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Gmp.h:27,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigInt.h:37,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigRat.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigFloatRep.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/BigFloat.h:38,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL_Core/BigFloat.cpp:46,
                 from /home/slitaz/wok/cgal/source/cgal-4.11/src/CGAL_Core/all_files.cpp:1:
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h: In member function 'bool CORE::filteredFp::isOK() const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:108:13: note: in expansion of macro 'CGAL_CORE_finite'
             CGAL_CORE_finite(fpVal) && // Test for infinite and NaNs
             ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:108:13: note: in expansion of macro 'CGAL_CORE_finite'
             CGAL_CORE_finite(fpVal) && // Test for infinite and NaNs
             ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h: In constructor 'CORE::Expr::Expr(float)':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:84:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(f)) {
           ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:84:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(f)) {
           ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h: In constructor 'CORE::Expr::Expr(double)':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:95:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(d)) {
           ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr.h:95:11: note: in expansion of macro 'CGAL_CORE_finite'
     if (! CGAL_CORE_finite(d)) {
           ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h: In member function 'void CORE::Expr::doubleInterval(double&, double&) const':
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h:91:9: note: in expansion of macro 'CGAL_CORE_finite'
   if (! CGAL_CORE_finite(d)) { // if overflow, underflow or NaN
         ^~~~~~~~~~~~~~~~
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: note: suggested alternative:
   #define CGAL_CORE_finite(x) std::isfinite(x)
                                    ^
/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Expr_impl.h:91:9: note: in expansion of macro 'CGAL_CORE_finite'
   if (! CGAL_CORE_finite(d)) { // if overflow, underflow or NaN
         ^~~~~~~~~~~~~~~~
<built-in>: note:   '__builtin_isfinite'
make[2]: *** [src/CGAL_Core/CMakeFiles/CGAL_Core.dir/build.make:63: src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all_files.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:264: src/CGAL_Core/CMakeFiles/CGAL_Core.dir/all] Error 2
make: *** [Makefile:130: all] Error 2

Build dependencies to remove: 20
Removing: boost boost-date-time boost-dev boost-iostreams boost-regex 
boost-serialization boost-system boost-thread cmake gmp-dev icu libarchive 
libcurl libicu libidn2 libunistring libxml2 lz4-lib mpfr-dev nettle

ERROR: cook failed

Debug information
================================================================================
Cook date: 2018-08-20 22:34
Wasted time : 55s ~ 1m
239:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
253:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
267:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
281:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
313:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
327:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
341:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
355:/home/slitaz/wok/cgal/source/cgal-4.11/include/CGAL/CORE/Filter.h:48:36: error: '__builtin_isfinite' is not a member of 'std'
377:ERROR: cook failed
================================================================================

